### Function Macro

# Gimp CAIRO_RGB24_SET_PIXEL

since: 2.6

#### Declaration [src]

    #define GIMP_CAIRO_RGB24_SET_PIXEL (
      d,
      r,
      g,
      b
    )

#### Description [src]

Sets a single pixel in an Cairo image surface in `CAIRO_FORMAT_RGB24`.

Available since: 2.6

This function is not directly available to language bindings.

#### Parameters

`d`

  Type: `-`

  Pointer to the destination buffer.

`r`

  Type: `-`

  Red component.

`g`

  Type: `-`

  Green component.

`b`

  Type: `-`

  Blue component.